Author Topic: Java versions supported?  (Read 83 times)

Offline cw-kid

  • Hero Member
  • *****
  • Posts: 1544
  • Karma: +13/-2
Java versions supported?
« on: July 26, 2018, 03:56:46 pm »
Hello

I just changed the Java installation on my Windows server from version 8 JRE to be Java 10.0.2 JDK as I wanted to try OpenRemote and it needs a JDK for some reason.

However Vera Concierge has now stopped working, on its configuration page in Red it shows:

Java VM: 10.0.2

Assume that is bad?

I ran the ConciergeServer.jar file again which fixed the windows service and that is running OK again.

Or if my problem is not related to Java, it might be because I recently added a second Vera unit to my MIOS account, I have ensured my primary unit is the one set as default. But I seem to recall having issues with two Vera units on the account and with Vera Concierge in the past.

Google Home just says "Sorry it looks like the (device name) isn't available right now".

Thanks.

Offline cw-kid

  • Hero Member
  • *****
  • Posts: 1544
  • Karma: +13/-2
Re: Java versions supported?
« Reply #1 on: July 26, 2018, 04:25:18 pm »
I've uninstalled that version of Java and installed version 8 jdk-8u181 instead.

Now in the Vera Concierge Configuration page under "Discoverd Devices" its no longer showing the Java VM version in red.
Its showing as Java VM: 1.8.0_181 in black text. 

And its working again, I was able to ask Google Home to turn on a light.

So I guess that answers the question.